Package rdkit :: Package ML :: Module files

[hide private]
[frames] | no frames]

# Module files

source code

    Generic file manipulation stuff

Classes | [hide private]

| ReFile convenience class for dealing with files with comments

Functions | [hide private]

ReadDataFile(fileName, comment=`'``#``'`, depVarCol=0, dataType=<type 'float'>) read in the data file and return a tuple of two Numeric arrays: (independant variables, dependant variables). | source code

Variables | [hide private]

| __package__ = ``'``rdkit.ML``'``

Imports: numpy, string, re

Function Details | [hide private]

### ReadDataFile(fileName, comment=`'``#``'`, depVarCol=0, dataType=<type 'float'>)

source code

    read in the data file and return a tuple of two Numeric arrays:
    (independant variables, dependant variables).

    **ARGUMENTS:**

    - fileName: the fileName

    - comment: the comment character for the file

    - depVarcol: the column number containing the dependant variable

    - dataType: the Numeric short-hand for the data type

    RETURNS:

     a tuple of two Numeric arrays:

      (independant variables, dependant variables).